declare const enum IpcChannel {
  NHENTAI_SAVE_FAVORITES = 'NHENTAI_SAVE_FAVORITES',
}

interface IIpcPayload {
  id: string;
  data: unknown;
}

interface IIpcResponse {
  id: string;
  success: boolean;
  data?: unknown;
  // just the error message
  error?: string;
}

interface IIpcClient {
  ask: (channel: IpcChannel, data?: unknown) => Promise<unknown>;
}

type IpcHandler = (data?: unknown) => Promise<unknown>;

interface IIpcController {
  get(): IIpcController;
}
